mxGraphMlConstants (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.io.graphml
Class mxGraphMlConstants

    java.lang.Object
      com.mxgraph.io.graphml.mxGraphMlConstants

    public class mxGraphMlConstants

extends Object

This class contains constants used in the Import of gml documents.

Field Summary
`static String` | `ALL`
`static String` | `DATA`
`static String` | `EDGE`
`static String` | `EDGE_DEFAULT`
`static String` | `EDGE_DIRECTED`
`static String` | `EDGE_SOURCE`
`static String` | `EDGE_SOURCE_PORT`
`static String` | `EDGE_TARGET`
`static String` | `EDGE_TARGET_PORT`
`static String` | `EDGE_UNDIRECTED`
`static String` | `ENDPOINT`
`static String` | `FILL`
`static String` | `GEOMETRY`
`static String` | `GRAPH`
`static String` | `GRAPHML`
`static String` | `HEIGHT`
`static String` | `HYPEREDGE`
`static String` | `ID`
`static String` | `JGRAPH`
`static String` | `JGRAPH_URL`
`static String` | `KEY`
`static String` | `KEY_EDGE_ID`
`static String` | `KEY_EDGE_NAME`
`static String` | `KEY_FOR`
`static String` | `KEY_NAME`
`static String` | `KEY_NODE_ID`
`static String` | `KEY_NODE_NAME`
`static String` | `KEY_TYPE`
`static String` | `LABEL`
`static String` | `NODE`
`static String` | `PORT`
`static String` | `PORT_NAME`
`static String` | `PROPERTIES`
`static String` | `SHAPE`
`static String` | `SHAPEEDGE`
`static String` | `SHAPENODE`
`static String` | `SOURCETARGET`
`static String` | `STYLE`
`static String` | `TEXT`
`static String` | `TYPE`
`static String` | `WIDTH`
`static String` | `X`
`static String` | `Y`

Constructor Summary
`mxGraphMlConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    public static String ID

### KEY_FOR

    public static String KEY_FOR

### KEY_NAME

    public static String KEY_NAME

### KEY_TYPE

    public static String KEY_TYPE

### GRAPH

    public static String GRAPH

### GRAPHML

    public static String GRAPHML

### NODE

    public static String NODE

### EDGE

    public static String EDGE

### HYPEREDGE

    public static String HYPEREDGE

### PORT

    public static String PORT

### ENDPOINT

    public static String ENDPOINT

### KEY

    public static String KEY

### DATA

    public static String DATA

### ALL

    public static String ALL

### EDGE_SOURCE

    public static String EDGE_SOURCE

### EDGE_SOURCE_PORT

    public static String EDGE_SOURCE_PORT

### EDGE_TARGET

    public static String EDGE_TARGET

### EDGE_TARGET_PORT

    public static String EDGE_TARGET_PORT

### EDGE_DIRECTED

    public static String EDGE_DIRECTED

### EDGE_UNDIRECTED

    public static String EDGE_UNDIRECTED

### EDGE_DEFAULT

    public static String EDGE_DEFAULT

### PORT_NAME

    public static String PORT_NAME

### HEIGHT

    public static String HEIGHT

### WIDTH

    public static String WIDTH

### X

    public static String X

### Y

    public static String Y

### JGRAPH

    public static String JGRAPH

### GEOMETRY

    public static String GEOMETRY

### FILL

    public static String FILL

### SHAPENODE

    public static String SHAPENODE

### SHAPEEDGE

    public static String SHAPEEDGE

### JGRAPH_URL

    public static String JGRAPH_URL

### KEY_NODE_ID

    public static String KEY_NODE_ID

### KEY_NODE_NAME

    public static String KEY_NODE_NAME

### KEY_EDGE_ID

    public static String KEY_EDGE_ID

### KEY_EDGE_NAME

    public static String KEY_EDGE_NAME

### STYLE

    public static String STYLE

### SHAPE

    public static String SHAPE

### TYPE

    public static String TYPE

### LABEL

    public static String LABEL

### TEXT

    public static String TEXT

### PROPERTIES

    public static String PROPERTIES

### SOURCETARGET

    public static String SOURCETARGET

Constructor Detail

### mxGraphMlConstants

    public mxGraphMlConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.